<template>
  <GI18nCard
    i18n="d_si.expandedUncertainty.title"
    :card="card"
    level="third"
    :optional="optional"
    :wiki-entry="wikiEntry"
    @deleteElement="$emit('delete')"
  >
    <v-row dense>
      <GCol cols="12" md="6">
        <XmlTextField
          v-model="value.uncertainty"
          i18n="d_si.expandedUncertainty.uncertainty"
          validate="required decimalPositive"
          ns="si"
        />
      </GCol>
      <GCol cols="12" md="6">
        <XmlTextField
          v-model="value.coverageFactor"
          i18n="d_si.expandedUncertainty.coverageFactor"
          validate="required kValue"
          ns="si"
        />
      </GCol>
      <GCol cols="12" md="6">
        <XmlTextField
          v-model="value.coverageProbability"
          i18n="d_si.expandedUncertainty.coverageProbability"
          validate="required probabilityValue"
          ns="si"
        />
      </GCol>
      <GCol cols="12" md="6">
        <XmlTextField
          v-model="value.distribution"
          i18n="d_si.expandedUncertainty.distribution"
          ns="si"
        />
      </GCol>
    </v-row>
  </GI18nCard>
</template>

<script>
import XmlTextField from "../App/Form/XML/XmlTextField";
import GI18nCard from "../App/Common/GI18nCard";
import GCol from "~/components/App/Common/GCol";
export default {
  name: "ExpandedUncertainty",
  components: {
    GCol,
    XmlTextField,
    GI18nCard,
  },
  props: {
    value: Object,
    card: {
      default: true,
      type: Boolean,
    },
    level: {
      default: "second",
      type: String,
    },
    optional: {
      default: true,
      type: Boolean,
    },
    wikiEntry: {
      type: String,
      default: "dsi",
    },
  },
};
</script>
